/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.test.performance.reporting.model;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.birt.test.performance.reporting.xml.XMLReportVisitor;

public class TaskNode extends BaseNode
{ 

	private String name = null;
	private String description = null;

	private String pageN = null;

	private List threads = new ArrayList( );
	private List AVGs = new ArrayList( );

	/**
	 * @return Returns the aVGs.
	 */
	public List getAVGs( )
	{
		return AVGs;
	}

	/**
	 * @param gs
	 *            The aVG to add.
	 */
	public void addAVG( Duration avg )
	{
		this.AVGs.add( avg );
	}

	/**
	 * @return Returns the description.
	 */
	public String getDescription( )
	{
		return description;
	}

	/**
	 * @param description
	 *            The description to set.
	 */
	public void setDescription( String description )
	{
		this.description = description;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName( )
	{
		return name;
	}

	/**
	 * @param name
	 *            The name to set.
	 */
	public void setName( String name )
	{
		this.name = name;
	}

	/**
	 * @return Returns the pageN.
	 */
	public String getPageN( )
	{
		return pageN;
	}

	/**
	 * @param pageN
	 *            The pageN to set.
	 */
	public void setPageN( String pageN )
	{
		this.pageN = pageN;
	}

	/**
	 * @return Returns the threads.
	 */
	public List getThreads( )
	{
		return threads;
	}

	/**
	 * @param threads
	 *            The threads to set.
	 */
	public void addThread( ThreadNode thread )
	{
		this.threads.add( thread );
	}

	public void accept( XMLReportVisitor visitor )
	{
		visitor.visit( this );
	}

}
